import Layout from '@/layout/layout.vue'

export default {
  path: '/user',
  component: Layout,
  redirect: '/user/manage',
  name: 'userManage',
  meta: {
    title: 'user',
    icon: 'personnel'
  },
  children: [
    {
      path: '/user/manage',
      component: () => import('@/views/user-manage/user-manage.vue'),
      meta: {
        title: 'userManage',
        icon: 'personnel-manage'
      }
    },
    {
      path: '/user/info/:id',
      name: 'userInfo',
      component: () => import('@/views/user-info/user-info.vue'),
      // https://router.vuejs.org/zh/guide/essentials/passing-props.html#布尔模式
      // 当 props 设置为 true 时，route.params 将被设置为组件的 props
      props: true,
      meta: {
        title: 'userInfo'
      }
    },
    {
      path: '/user/import',
      name: 'import',
      component: () => import('@/views/import/import.vue'),
      meta: {
        title: 'excelImport'
      }
    }
  ]
}
