import hyRequest from '..'
import type { IDisTributePermissionPayload } from './types'

/**
 * 获取所有角色
 */
export const fetchRoleList = () => {
  return hyRequest.get({
    url: '/role/list'
  })
}

/**
 * 获取当前角色对应权限
 */
export const fetchRolePermission = (roleId: string) => {
  return hyRequest.get({
    url: `role/permission/${roleId}`
  })
}

/**
 * 为指定角色分配权限
 */
export const distributePermission = (data: IDisTributePermissionPayload) => {
  return hyRequest.post({
    url: 'role/distribute-permission',
    data
  })
}
