import useI18n from '@/i18n'

export const validatePassword = () => {
  const i18n = useI18n()

  // https://element-plus.org/zh-CN/component/form.html#自定义校验规则
  // https://github.com/yiminghe/async-validator
  return (rule: any, value: any, callback: any) => {
    if (value.length < 6) {
      callback(new Error(i18n.global.t('login.passwordRule')))
    } else {
      callback() // 通过验证
    }
  }
}
